- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Texture1D.cpp File Reference

`#include "osg/Texture1D"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Texture1D.cpp:

## Functions
bool | Texture1D_readLocalData (Object &obj, Input &fr)
bool | Texture1D_writeLocalData (const Object &obj, Output &fw)
bool | Texture1D_matchWrapStr (const char *str, Texture1D::WrapMode &wrap)
const char * | Texture1D_getWrapStr (Texture1D::WrapMode wrap)
bool | Texture1D_matchFilterStr (const char *str, Texture1D::FilterMode &filter)
const char * | Texture1D_getFilterStr (Texture1D::FilterMode filter)
bool | Texture1D_matchInternalFormatModeStr (const char *str, Texture1D::InternalFormatMode &mode)
const char * | Texture1D_getInternalFormatModeStr (Texture1D::InternalFormatMode mode)
bool | Texture1D_matchInternalFormatStr (const char *str, int &value)
const char * | Texture1D_getInternalFormatStr (int value)
## Variables
RegisterDotOsgWrapperProxy | g_Texture1DProxy (new osg::Texture1D,"Texture1D","Object StateAttribute Texture1D TextureBase",&Texture1D_readLocalData,&Texture1D_writeLocalData)

## Function Documentation

const char* Texture1D_getFilterStr | ( | Texture1D::FilterMode | filter | ) |

const char* Texture1D_getInternalFormatModeStr | ( | Texture1D::InternalFormatMode | mode | ) |

const char* Texture1D_getInternalFormatStr | ( | int | value | ) |

const char* Texture1D_getWrapStr | ( | Texture1D::WrapMode | wrap | ) |

bool Texture1D_matchFilterStr | ( | const char * | str,
|  | Texture1D::FilterMode & | filter
| ) |

bool Texture1D_matchInternalFormatModeStr | ( | const char * | str,
|  | Texture1D::InternalFormatMode & | mode
| ) |

bool Texture1D_matchInternalFormatStr | ( | const char * | str,
|  | int & | value
| ) |

bool Texture1D_matchWrapStr | ( | const char * | str,
|  | Texture1D::WrapMode & | wrap
| ) |

bool Texture1D_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Texture1D_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_Texture1DProxy(new osg::Texture1D,"Texture1D","Object StateAttribute Texture1D TextureBase",&Texture1D_readLocalData,&Texture1D_writeLocalData)